package betterquesting.blocks;

import net.minecraft.item.ItemStack;

/* loaded from: betterquesting_blocks.jar:betterquesting/blocks/SSItemHandler.class */
public class SSItemHandler {
    private final TileSubmitStation tile;

    public SSItemHandler(TileSubmitStation tile) {
        this.tile = tile;
    }

    public int getSlots() {
        return this.tile.func_70302_i_();
    }

    public ItemStack insertItem(int slot, ItemStack stack, boolean simulate) {
        if (stack == null || !this.tile.func_94041_b(slot, stack)) {
            return stack;
        }
        ItemStack ts1 = getStackInSlot(slot);
        if (ts1 != null && !stack.func_77969_a(ts1)) {
            return stack;
        }
        int inMax = Math.min(stack.field_77994_a, stack.func_77976_d() - (ts1 == null ? 0 : ts1.field_77994_a));
        ItemStack ts2 = stack.func_77946_l();
        ts2.field_77994_a = inMax;
        if (!simulate) {
            if (ts1 == null) {
                ts1 = ts2;
            } else {
                ts1.field_77994_a += ts2.field_77994_a;
            }
            this.tile.func_70299_a(slot, ts1);
        }
        if (stack.field_77994_a > inMax) {
            ItemStack ts3 = stack.func_77946_l();
            ts3.field_77994_a = stack.field_77994_a - inMax;
            return ts3;
        }
        return null;
    }

    public ItemStack extractItem(int slot, int amount, boolean simulate) {
        if (slot != 1 || amount <= 0) {
            return null;
        }
        if (!simulate) {
            return this.tile.func_70298_a(slot, amount);
        }
        ItemStack stack = getStackInSlot(slot);
        if (stack == null) {
            return null;
        }
        int outMax = Math.min(stack.field_77994_a, amount);
        ItemStack ts1 = stack.func_77946_l();
        ts1.field_77994_a = outMax;
        return ts1;
    }

    public void setStackInSlot(int slot, ItemStack stack) {
        this.tile.func_70299_a(slot, stack);
    }

    public ItemStack getStackInSlot(int idx) {
        return this.tile.func_70301_a(idx);
    }
}
